Tutorial: Tweets App
======================

This tutorial covers many practical aspects of developing desktop-like qooxdoo apps.

As the headline of this tutorial says, we are building a simple tweets application. [identica](http://identi.ca) is a twitter-like service for reading and posting public short messages - called "tweets". It has a [twitter-compatible API](http://status.net/wiki/Twitter-compatible_API) for accessing data.

[Twitter](http://twitter.com) itself made its authorization scheme more complex, as it starts requiring OAuth even to read public tweets. For this basic tutorial it would be too complex to handle such advanced authorization. If your are interested in OAuth, check out how you could handle that in a qooxdoo app by looking at the [Github demo](apps://demobrowser/#data~Github.html).

The following mockup shows you how the application should look like at the end.

![image](identicamockup1.png)

If you take a closer look at the mockup, you see a window  containing a toolbar, a list, a text area and a button to post messages. This should cover some common scenarios of a typical qooxdoo application.

In the first part you'll learn how to create a new application and how to build a part of the main UI.

1. [Getting Started](tutorial-part-1.md)
2. [Finishing the UI](tutorial-part-2.md)
3. [Talking to the Server](tutorial-part-3.md)
4. [Handling Forms](tutorial-part-4.md)
5. [Creating Custom Widgets](tutorial-part-5.md)
6. [Theming Widgets](tutorial-part-6.md)
7. [Translations](tutorial-part-7.md)
8. [Unit Testing](tutorial-part-8.md)
9. [Virtual Lists](tutorial-part-9.md)
